package org.springblade.imports.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.imports.entity.FctStandingBook;
import org.springblade.imports.query.FctStandingBookQuery;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
public interface FctStandingBookMapper extends BaseMapper<FctStandingBook> {

	void insertBatch(List<FctStandingBook> excelList);

	IPage<FctStandingBook> getPageByQuery(IPage<Object> page,  @Param("query") FctStandingBookQuery pageQuery);

	void insertBatchHasDid(List<FctStandingBook> list);

	List<FctStandingBook> getListByQuery( @Param("query") FctStandingBookQuery query);
}
